description

# IsolateMirror class Null safety

An IsolateMirror reflects an isolate.

Implemented types
  - Mirror

## Constructors

IsolateMirror()

## Properties

debugName → String
  A unique name used to refer to the isolate in debugging messages.
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isCurrent → bool
  Whether this mirror reflects the currently running isolate.
  read-only
rootLibrary → LibraryMirror
  The root library for the reflected isolate.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

loadUri(Uri uri) → Future<LibraryMirror>
  Loads the library at the given uri into this isolate. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Whether `other` is an IsolateMirror on the same isolate as this mirror. [...]
  override